package org.gcube.spatial.data.sdi.model.metadata;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@XmlRootElement
@XmlAccessorType(XmlAccessType.NONE)
public class ThreddsOnlineTemplateInvocation extends TemplateInvocation{

	@XmlElement
	private String hostname;
	@XmlElement
	private String filename;
	@XmlElement
	private String catalog;
	@XmlElement
	private String gisViewerLink;
}
