package org.gcube.spatial.data.sdi.interfaces;

import java.io.File;
import java.util.Set;

import org.gcube.spatial.data.sdi.model.metadata.MetadataPublishOptions;
import org.gcube.spatial.data.sdi.model.metadata.MetadataReport;
import org.gcube.spatial.data.sdi.model.metadata.TemplateDescriptor;

public interface Templates {

	public Set<TemplateDescriptor> getAvailableTemplates();
	public MetadataReport pushMetadata(File toPublish);
	public MetadataReport pushMetadata(File toPublish,MetadataPublishOptions options);
}
